Subject: Re: bug#61918: Filenames starting with hash interpreted as social references

From: Bob Weiner <[email-masked]>
Date: Mon, 13 Mar 2023 19:39:26 -0400

Hi John:

This has been fixed in a recent Hyperbole pre-release at elpa-devel.
Thanks for reporting it.  I will close this issue.

-- rsw

John Cummings <[email-masked]> writes:

> I use:  Editor:      GNU Emacs 28.2
>         Hyperbole:   9.0.0
>         Sys Type:    x86_64-pc-linux-gnu
>         OS Type:     gnu/linux
>         Window Sys:  None
>         News Reader: Gnus v5.13
>         Install:     elpa-devel, 8.0.1pre0.20230227.3018
> (HyDebug) ButProps: (variable-documentation "The currently selected
> Hyperbole button.  Available to action routines." lbl-key "#abc"
> lbl-start 11596 lbl-end 11600 categ ibtypes::social-reference loc
> #<buffer *shell*> dir "/home/emacs/shellbug/examples/social/" actype
> social-reference args ("" "#" "abc"))
>
> Given:
> In a shell buffer, an ls command is run, and one of the filenames
> starts with a hash character, e.g. '#abc' or, in the format of an
> Emacs autosave filename: '#abc#'. (The quotes are not part of the
> filename.)
>
> Expectation:
> The Hyperbole smart keys will prioritize interpreting this as a
> filename. The action key will open that file.
>
> Actual behavior
> The action key, and hkey-help, interpret them as social media
> references, and in my case, the action key does nothing. The HyDebug
> message included above was generated when I used the action key on a
> filename '#abc#', so it may also be interesting to note that the 
> trailing hash character is dropped somewhere along the way.